瀏覽代碼

convert to new %{l_platform} world order

Ralf S. Engelschall 23 年之前
父節點
當前提交
33e6333b1b

+ 3 - 3
netcat/netcat.spec

@@ -33,7 +33,7 @@ Distribution: OpenPKG [BASE]
 Group:        Network
 License:      no restrictions
 Version:      1.10
-Release:      20030917
+Release:      20030918
 
 #   list of sources
 Source0:      http://www.atstake.com/research/tools/nc110.tgz
@@ -42,8 +42,8 @@ Source1:      nc.1
 #   build information
 Prefix:       %{l_prefix}
 BuildRoot:    %{l_buildroot}
-BuildPreReq:  OpenPKG, openpkg >= 20020206, gcc
-PreReq:       OpenPKG, openpkg >= 20020206
+BuildPreReq:  OpenPKG, openpkg >= 20030909, gcc
+PreReq:       OpenPKG, openpkg >= 20030909
 AutoReq:      no
 AutoReqProv:  no
 

+ 5 - 5
netpbm/netpbm.spec

@@ -33,7 +33,7 @@ Distribution: OpenPKG [BASE]
 Group:        Graphics
 License:      MIT-style
 Version:      10.11.12
-Release:      20030904
+Release:      20030918
 
 #   list of sources
 Source0:      http://osdn.dl.sourceforge.net/sourceforge/netpbm/netpbm-%{version}.tgz
@@ -41,8 +41,8 @@ Source0:      http://osdn.dl.sourceforge.net/sourceforge/netpbm/netpbm-%{version
 #   build information
 Prefix:       %{l_prefix}
 BuildRoot:    %{l_buildroot}
-BuildPreReq:  OpenPKG, openpkg >= 20021230, perl, make, gcc, flex
-PreReq:       OpenPKG, openpkg >= 20021230, perl
+BuildPreReq:  OpenPKG, openpkg >= 20030909, perl, make, gcc, flex
+PreReq:       OpenPKG, openpkg >= 20030909, perl
 BuildPreReq:  tiff, jpeg, png, zlib
 PreReq:       tiff, jpeg, png, zlib
 AutoReq:      no
@@ -76,8 +76,8 @@ AutoReqProv:  no
       echo "PNGLIB = libpng.a"
       echo "ZHDR_DIR = %{l_prefix}/include"
       echo "ZLIB = libz.a"
-      case "%{l_target}" in
-          *-solaris* ) echo "NETWORKLD = -lsocket -lnsl" ;;
+      case "%{l_platform -t}" in
+          *-sunos* ) echo "NETWORKLD = -lsocket -lnsl" ;;
       esac
     ) >Makefile.config
     %{l_make} %{l_mflags} -f GNUmakefile

+ 5 - 5
nmap/nmap.spec

@@ -33,7 +33,7 @@ Distribution: OpenPKG [BASE]
 Group:        Network
 License:      GPL
 Version:      3.45
-Release:      20030917
+Release:      20030918
 
 #   list of sources
 Source0:      http://www.insecure.org/nmap/dist/nmap-%{version}.tgz
@@ -41,8 +41,8 @@ Source0:      http://www.insecure.org/nmap/dist/nmap-%{version}.tgz
 #   build information
 Prefix:       %{l_prefix}
 BuildRoot:    %{l_buildroot}
-BuildPreReq:  OpenPKG, openpkg >= 20030103, make, gcc, flex, bison, getopt
-PreReq:       OpenPKG, openpkg >= 20030103, getopt
+BuildPreReq:  OpenPKG, openpkg >= 20030909, make, gcc, flex, bison, getopt
+PreReq:       OpenPKG, openpkg >= 20030909, getopt
 AutoReq:      no
 AutoReqProv:  no
 
@@ -65,8 +65,8 @@ AutoReqProv:  no
 
 %build
     cppflags=""
-    case "%{l_target}" in
-        *-solaris2.6 ) cppflags="-D_XPG4_2" ;;
+    case "%{l_platform -t}" in
+        *-sunos5.6 ) cppflags="-D_XPG4_2" ;;
     esac
     CC="%{l_cc}" \
     CXX="%{l_cxx}" \

+ 5 - 5
nn/nn.spec

@@ -33,7 +33,7 @@ Distribution: OpenPKG [BASE]
 Group:        News
 License:      BSD-style
 Version:      6.6.5
-Release:      20030617
+Release:      20030918
 
 #   list of sources
 Source0:      ftp://ftp.nndev.org/pub/nn-6.6/nn-%{version}.tar.Z
@@ -41,8 +41,8 @@ Source0:      ftp://ftp.nndev.org/pub/nn-6.6/nn-%{version}.tar.Z
 #   build information
 Prefix:       %{l_prefix}
 BuildRoot:    %{l_buildroot}
-BuildPreReq:  OpenPKG, openpkg >= 20020206, gcc
-PreReq:       OpenPKG, openpkg >= 20020206, MTA
+BuildPreReq:  OpenPKG, openpkg >= 20030909, gcc
+PreReq:       OpenPKG, openpkg >= 20030909, MTA
 AutoReq:      no
 AutoReqProv:  no
 
@@ -55,10 +55,10 @@ AutoReqProv:  no
 
 %build
     S="template"; M="template"
-    case "%{l_target}" in
+    case "%{l_platform -t}" in
         *-freebsd* ) S="freebsd"; M="i80386" ;;
         *-linux*   ) S="linux";   M="i80386" ;;
-        *-solaris* ) S="sunos5";  M="sparc"  ;;
+        *-sunos*   ) S="sunos5";  M="sparc"  ;;
     esac
     %{l_shtool} install -c -m 644 \
         -e "s;s-sunos5.h;s-${S}.h;" \

+ 6 - 7
opencdk/opencdk.spec

@@ -33,7 +33,7 @@ Distribution: OpenPKG [EVAL]
 Group:        Cryptography
 License:      GPL
 Version:      0.5.1
-Release:      20030711
+Release:      20030918
 
 #   list of sources
 Source0:      ftp://gnutls.hellug.gr/pub/gnutls/opencdk/opencdk-%{version}.tar.bz2
@@ -42,8 +42,8 @@ Patch0:       opencdk.patch
 #   build information
 Prefix:       %{l_prefix}
 BuildRoot:    %{l_buildroot}
-BuildPreReq:  OpenPKG, openpkg >= 20030103, gcrypt, zlib, gcc, make
-PreReq:       OpenPKG, openpkg >= 20030103, gcrypt, zlib
+BuildPreReq:  OpenPKG, openpkg >= 20030909, gcrypt, zlib, gcc, make
+PreReq:       OpenPKG, openpkg >= 20030909, gcrypt, zlib
 AutoReq:      no
 AutoReqProv:  no
 
@@ -58,11 +58,10 @@ AutoReqProv:  no
         src/*.c
 
 %build
-    case "%{l_target}" in
-        *-solaris*)  defs="-DNEED_VASPRINTF" ;;
-        *)           defs=""                 ;;
+    defs=""
+    case "%{l_platform -t}" in
+        *-sunos* ) defs="-DNEED_VASPRINTF" ;;
     esac
-
     CC="%{l_cc}" \
     CFLAGS="%{l_cflags -O}" \
     CPPFLAGS="%{l_cppflags} $defs" \

+ 3 - 3
pam/pam.spec

@@ -32,8 +32,8 @@ Packager:     The OpenPKG Project
 Distribution: OpenPKG [BASE]
 Group:        Meta
 License:      PD
-Version:      20030902
-Release:      20030902
+Version:      20030918
+Release:      20030918
 
 #   list of sources
 Source0:      pamtool
@@ -143,7 +143,7 @@ Provides:     PAM
     %{l_shtool} mkdir -f -p -m 755 \
         $RPM_BUILD_ROOT%{l_prefix}/sbin
     %{l_shtool} install -c -m 755 %{l_value -s -a} \
-        -e 's;@l_target@;%{l_target};g' \
+        -e 's;@l_platform@;%{l_platform -t};g' \
         %{SOURCE pamtool} $RPM_BUILD_ROOT%{l_prefix}/sbin/
 
     #   install rc file

+ 3 - 3
pam/pamtool

@@ -31,7 +31,7 @@ progdate="11-Mar-2002"
 
 #   the OpenPKG instance information
 l_prefix="@l_prefix@"
-l_target="@l_target@"
+l_platform="@l_platform@"
 
 #   default parameters
 verbose=no
@@ -117,7 +117,7 @@ if [ ".$add" = .yes ]; then
     #
 
     #   determine platform specific PAM entries
-    ( case "$l_target" in
+    ( case "$l_platform" in
           *-freebsd* ) 
               echo "auth     sufficient ${pam_modpfx}pam_skey.so"
               echo "auth     required   ${pam_modpfx}pam_unix.so try_first_pass"
@@ -133,7 +133,7 @@ if [ ".$add" = .yes ]; then
               echo "session  required   ${pam_modpfx}pam_unix_session.so" 
               echo "session  required   ${pam_modpfx}pam_limits.so"
               ;;
-          *-solaris* ) 
+          *-sunos* ) 
               echo "auth     required   ${pam_modpfx}pam_unix.so try_first_pass"
               echo "account  required   ${pam_modpfx}pam_unix.so"
               echo "password required   ${pam_modpfx}pam_unix.so" 

+ 6 - 6
perforce/perforce.spec

@@ -33,7 +33,7 @@ Distribution: OpenPKG [EVAL]
 Group:        SCM
 License:      Commercial
 Version:      2003.1
-Release:      20030723
+Release:      20030918
 
 #   list of sources
 Source0:      ftp://ftp.openpkg.org/sources/DST/perforce/perforce-%{version}.tar.bz2
@@ -50,8 +50,8 @@ Source8:      rc.perforce
 #   build information
 Prefix:       %{l_prefix}
 BuildRoot:    %{l_buildroot}
-BuildPreReq:  OpenPKG, openpkg >= 20030718
-PreReq:       OpenPKG, openpkg >= 20030718
+BuildPreReq:  OpenPKG, openpkg >= 20030909
+PreReq:       OpenPKG, openpkg >= 20030909
 AutoReq:      no
 AutoReqProv:  no
 
@@ -87,11 +87,11 @@ AutoReqProv:  no
         $RPM_BUILD_ROOT%{l_prefix}/share/perforce \
         $RPM_BUILD_ROOT%{l_prefix}/var/perforce/p4d.depot
     subdir="perforce-%{version}/bin"
-    case "%{l_target}" in
+    case "%{l_platform -t}" in
         *-freebsd* ) subdir="$subdir.freebsd4"       ;;
         *-linux*   ) subdir="$subdir.linux22x86"     ;;
-        *-solaris* ) subdir="$subdir.solaris26sparc" ;;
-        * ) echo "platform %{l_target} not supported" 1>&2; exit 1 ;;
+        *-sunos*   ) subdir="$subdir.solaris26sparc" ;;
+        * ) echo "platform %{l_platform -t} not supported" 1>&2; exit 1 ;;
     esac
     ( cd $subdir
       %{l_shtool} install -c -m 755 \

+ 7 - 7
perl-ars/perl-ars.spec

@@ -38,8 +38,8 @@ Packager:     The OpenPKG Project
 Distribution: OpenPKG [EVAL]
 Group:        Language
 License:      Commercial
-Version:      20030909
-Release:      20030909
+Version:      20030918
+Release:      20030918
 
 #   list of sources
 Source0:      http://www.cpan.org/modules/by-module/ARS/ARSperl-%{V_arsperl}.tgz
@@ -54,8 +54,8 @@ Source5:      ftp://ftp.openpkg.org/sources/DST/perl-ars/ars-c-api-lnx.tar.gz
 #   build information
 Prefix:       %{l_prefix}
 BuildRoot:    %{l_buildroot}
-BuildPreReq:  OpenPKG, openpkg >= 20030108, perl, perl-openpkg, perl-xml
-PreReq:       OpenPKG, openpkg >= 20030108, perl, perl-openpkg, perl-xml
+BuildPreReq:  OpenPKG, openpkg >= 20030909, perl, perl-openpkg, perl-xml
+PreReq:       OpenPKG, openpkg >= 20030909, perl, perl-openpkg, perl-xml
 AutoReq:      no
 AutoReqProv:  no
 
@@ -83,10 +83,10 @@ AutoReqProv:  no
     %{l_prefix}/bin/perl-openpkg prolog
 
     #   build and install ARSperl
-    case "%{l_target}" in
+    case "%{l_platform -t}" in
         *-linux*   ) api="%{SOURCE ars-c-api-lnx.tar.gz}" ;;
-        *-solaris* ) api="%{SOURCE ars-c-api-sol.tar.gz}" ;;
-        * ) echo "ERROR: sorry, platform \"%{l_target}\" not supported" 1>&2; exit 1 ;;
+        *-sunos*   ) api="%{SOURCE ars-c-api-sol.tar.gz}" ;;
+        * ) echo "ERROR: sorry, platform \"%{l_platform -t}\" not supported" 1>&2; exit 1 ;;
     esac
     ( cd ARSperl-%{V_arsperl}
       %{l_gzip} -c -d $api | %{l_tar} xf -

+ 6 - 6
perl-curses/perl-curses.spec

@@ -40,8 +40,8 @@ Packager:     The OpenPKG Project
 Distribution: OpenPKG [BASE]
 Group:        Language
 License:      GPL/Artistic
-Version:      20030901
-Release:      20030901
+Version:      20030918
+Release:      20030918
 
 #   list of sources
 Source0:      http://www.cpan.org/modules/by-module/Curses/Curses-%{V_curses}.tar.gz
@@ -55,8 +55,8 @@ Patch0:       perl-curses.patch
 #   build information
 Prefix:       %{l_prefix}
 BuildRoot:    %{l_buildroot}
-BuildPreReq:  OpenPKG, openpkg >= 20030708, perl, perl-openpkg, ncurses, cdk, perl-term
-PreReq:       OpenPKG, openpkg >= 20030708, perl, perl-openpkg, ncurses, cdk, perl-term
+BuildPreReq:  OpenPKG, openpkg >= 20030909, perl, perl-openpkg, ncurses, cdk, perl-term
+PreReq:       OpenPKG, openpkg >= 20030909, perl, perl-openpkg, ncurses, cdk, perl-term
 AutoReq:      no
 AutoReqProv:  no
 
@@ -90,10 +90,10 @@ AutoReqProv:  no
     #   build Curses
     ( cd Curses-%{V_curses}
       hint="unknown"
-      case "%{l_target}" in
+      case "%{l_platform -t}" in
           *-freebsd* ) hint="freebsd.ncurses" ;;
           *-linux*   ) hint="linux.ncurses"   ;;
-          *-solaris* ) hint="solaris"         ;;
+          *-sunos*   ) hint="solaris"         ;;
       esac
       if [ -f hints/c-$hint.h ]; then
           cp hints/c-$hint.h c-config.h

+ 4 - 4
pgp/pgp.spec

@@ -38,7 +38,7 @@ Distribution: OpenPKG [BASE]
 Group:        Cryptography
 License:      GPL
 Version:      %{V_long}
-Release:      20030731
+Release:      20030918
 
 #   list of sources
 Source0:      ftp://ftp.pgpi.org/pub/pgp/%{V_short}/%{V_long}/pgpsrc%{V_strip}unix.tar.gz
@@ -47,8 +47,8 @@ Patch0:       pgp.patch
 #   build information
 Prefix:       %{l_prefix}
 BuildRoot:    %{l_buildroot}
-BuildPreReq:  OpenPKG, openpkg >= 20021120, make, gcc
-PreReq:       OpenPKG, openpkg >= 20021120
+BuildPreReq:  OpenPKG, openpkg >= 20030909, make, gcc
+PreReq:       OpenPKG, openpkg >= 20030909
 AutoReq:      no
 AutoReqProv:  no
 
@@ -81,7 +81,7 @@ AutoReqProv:  no
     ) || exit $?
     ( cd clients/pgp/cmdline
       CFLAGS="%{l_cflags -O}"
-      case "%{l_target}" in
+      case "%{l_platform -t}" in
           *-freebsd* ) CFLAGS="$CFLAGS -pthread" ;;
       esac
       CC="%{l_cc}" CFLAGS="$CFLAGS" LIBS="$LIBS" ./configure

+ 6 - 6
pgp2/pgp2.spec

@@ -38,7 +38,7 @@ Distribution: OpenPKG [PLUS]
 Group:        Cryptography
 License:      GPL
 Version:      %{V_long}
-Release:      20030722
+Release:      20030918
 
 #   list of sources
 Source0:      ftp://ftp.pgpi.org/pub/pgp/%{V_short}/src/pgp%{V_strip}is.tar.gz
@@ -48,8 +48,8 @@ Patch0:       pgp2.patch
 #   build information
 Prefix:       %{l_prefix}
 BuildRoot:    %{l_buildroot}
-BuildPreReq:  OpenPKG, openpkg >= 20030516, gcc
-PreReq:       OpenPKG, openpkg >= 20030516
+BuildPreReq:  OpenPKG, openpkg >= 20030909, gcc
+PreReq:       OpenPKG, openpkg >= 20030909
 AutoReq:      no
 AutoReqProv:  no
 
@@ -85,14 +85,14 @@ AutoReqProv:  no
     CC="%{l_cc}"
     CFLAGS="%{l_cflags -O} -fno-strength-reduce"
     CFLAGS="$CFLAGS -DUNIX -DPORTABLE"
-    case "%{l_target}" in
+    case "%{l_platform -t}" in
         sparc*     ) CFLAGS="$CFLAGS -DHIGHFIRST" ;;
         *[3456x]86*) CFLAGS="$CFLAGS -DIDEA32"    ;;
     esac
-    case "%{l_target}" in
+    case "%{l_platform -t}" in
         *-freebsd* ) CFLAGS="$CFLAGS -DMAX_NAMELEN=255" ;;
         *-linux*   ) CFLAGS="$CFLAGS -DLINUX"           ;;
-        *-solaris* ) CFLAGS="$CFLAGS -DSOLARIS"         ;;
+        *-sunos*   ) CFLAGS="$CFLAGS -DSOLARIS"         ;;
     esac
     %{l_make} %{l_mflags} \
         CC="$CC" CFLAGS="$CFLAGS" pgp

+ 5 - 5
portfwd/portfwd.spec

@@ -33,7 +33,7 @@ Distribution: OpenPKG [PLUS]
 Group:        Network
 License:      GPL
 Version:      0.26rc6
-Release:      20030903
+Release:      20030918
 
 #   package options
 %option       with_fsl yes
@@ -48,8 +48,8 @@ Patch0:       portfwd.patch
 #   build information
 Prefix:       %{l_prefix}
 BuildRoot:    %{l_buildroot}
-BuildPreReq:  OpenPKG, openpkg >= 20030718, gcc, make, flex
-PreReq:       OpenPKG, openpkg >= 20030718
+BuildPreReq:  OpenPKG, openpkg >= 20030909, gcc, make, flex
+PreReq:       OpenPKG, openpkg >= 20030909
 %if "%{with_fsl}" == "yes"
 BuildPreReq:  fsl >= 1.2.0
 PreReq:       fsl >= 1.2.0
@@ -85,8 +85,8 @@ AutoReqProv:  no
 %build
     #   configure package
     cppflags=""
-    case "%{l_target}" in
-        *-solaris2.6 ) cppflags="-Dsocklen_t=int" ;;
+    case "%{l_platform -t}" in
+        *-sunos5.6 ) cppflags="-Dsocklen_t=int" ;;
     esac
     CC="%{l_cc}" \
     CXX="%{l_cxx}" \

+ 5 - 5
portsentry/portsentry.spec

@@ -33,7 +33,7 @@ Distribution: OpenPKG [BASE]
 Group:        Security
 License:      Open Source
 Version:      1.1
-Release:      20030724
+Release:      20030918
 
 #   package options
 %option       with_fsl  yes
@@ -47,8 +47,8 @@ Patch0:       portsentry.patch
 #   build information
 Prefix:       %{l_prefix}
 BuildRoot:    %{l_buildroot}
-BuildPreReq:  OpenPKG, openpkg >= 20030718
-PreReq:       OpenPKG, openpkg >= 20030718
+BuildPreReq:  OpenPKG, openpkg >= 20030909
+PreReq:       OpenPKG, openpkg >= 20030909
 %if "%{with_fsl}" == "yes"
 BuildPreReq:  fsl >= 1.2.0
 PreReq:       fsl >= 1.2.0
@@ -76,9 +76,9 @@ AutoReqProv:  no
     %{l_shtool} subst \
         -e 's;/usr/local/psionic/portsentry/;%{l_prefix}/etc/portsentry/;g' \
         portsentry.conf
-    case "%{l_target}" in
+    case "%{l_platform -t}" in
         *-freebsd* ) os="freebsd" ;;
-        *-solaris* ) os="solaris" ;;
+        *-sunos*   ) os="solaris" ;;
         *-linux*   ) os="linux"   ;;
     esac
     %{l_make} %{l_mflags -O} \

+ 8 - 8
prngd/prngd.spec

@@ -33,7 +33,7 @@ Distribution: OpenPKG [BASE]
 Group:        Security
 License:      PD
 Version:      0.9.27
-Release:      20030724
+Release:      20030918
 
 #   package options
 %option       with_fsl  yes
@@ -48,8 +48,8 @@ Patch0:       prngd.patch
 #   build information
 Prefix:       %{l_prefix}
 BuildRoot:    %{l_buildroot}
-BuildPreReq:  OpenPKG, openpkg >= 20030718, gcc
-PreReq:       OpenPKG, openpkg >= 20030718
+BuildPreReq:  OpenPKG, openpkg >= 20030909, gcc
+PreReq:       OpenPKG, openpkg >= 20030909
 %if "%{with_fsl}" == "yes"
 BuildPreReq:  fsl >= 1.2.0
 PreReq:       fsl >= 1.2.0
@@ -82,11 +82,11 @@ AutoReqProv:  no
     DEFS=""
     DEFS="$DEFS -DRANDSAVENAME=\\\"%{l_prefix}/var/prngd/prngd.seed\\\""
     DEFS="$DEFS -DCONFIGFILE=\\\"%{l_prefix}/etc/prngd/prngd.conf\\\""
-    case "%{l_target}" in
-       *-freebsd* ) ;;
-       *-linux*   ) ;;
-       *-solaris2.6* ) CFLAGS="$CFLAGS -DSOLARIS26"; LIBS="$SYSLIBS -lsocket -lnsl" ;;
-       *-solaris* ) CFLAGS="$CFLAGS -DSOLARIS"; LIBS="$SYSLIBS -lsocket -lnsl" ;;
+    case "%{l_platform -t}" in
+       *-freebsd*  ) ;;
+       *-linux*    ) ;;
+       *-sunos5.6* ) CFLAGS="$CFLAGS -DSOLARIS26"; LIBS="$SYSLIBS -lsocket -lnsl" ;;
+       *-sunos*    ) CFLAGS="$CFLAGS -DSOLARIS"; LIBS="$SYSLIBS -lsocket -lnsl" ;;
     esac
     %{l_make} %{l_mflags} \
         CC="$CC" CFLAGS="$CFLAGS" DEFS="$DEFS" LIBS="$LIBS"

+ 4 - 4
pth/pth.spec

@@ -33,7 +33,7 @@ Distribution: OpenPKG [BASE]
 Group:        System
 License:      GPL
 Version:      2.0.0
-Release:      20030731
+Release:      20030918
 
 #   package options
 %option       with_optimize no
@@ -45,8 +45,8 @@ Source0:      ftp://ftp.gnu.org/gnu/pth/pth-%{version}.tar.gz
 #   build information
 Prefix:       %{l_prefix}
 BuildRoot:    %{l_buildroot}
-BuildPreReq:  OpenPKG, openpkg >= 20020206
-PreReq:       OpenPKG, openpkg >= 20020206
+BuildPreReq:  OpenPKG, openpkg >= 20030909
+PreReq:       OpenPKG, openpkg >= 20030909
 AutoReq:      no
 AutoReqProv:  no
 
@@ -63,7 +63,7 @@ AutoReqProv:  no
 
 %build
     touch config.cache
-    case "%{l_target}" in
+    case "%{l_platform -t}" in
         alpha-freebsd5.[01] )
             #   FIXME: FreeBSD 5.0/5.1 makecontext(3) is broken on Alpha
             ( echo "ac_cv_func_makecontext=no"

+ 4 - 4
qt/qt.spec

@@ -33,7 +33,7 @@ Distribution: OpenPKG [EVAL]
 Group:        XWindow
 License:      GPL
 Version:      3.2.1
-Release:      20030915
+Release:      20030918
 
 #   package library options (each 'yes' builds more libraries)
 %option       with_shared   no
@@ -50,8 +50,8 @@ Source0:      ftp://ftp.planetmirror.com.au/pub/trolltech/qt/source/qt-x11-free-
 #   build information
 Prefix:       %{l_prefix}
 BuildRoot:    %{l_buildroot}
-BuildPreReq:  OpenPKG, openpkg >= 20030103, X11, freetype, gcc, sed
-PreReq:       OpenPKG, openpkg >= 20030103, X11, freetype
+BuildPreReq:  OpenPKG, openpkg >= 20030909, X11, freetype, gcc, sed
+PreReq:       OpenPKG, openpkg >= 20030909, X11, freetype
 %if "%{with_pgsql}" == "yes"
 BuildPreReq:  postgresql
 PreReq:       postgresql
@@ -114,7 +114,7 @@ AutoReqProv:  no
         *-freebsd* ) oscomp="freebsd-g++"  ;;
         *-linux*   ) oscomp="linux-g++"    ;;
         *-sunos* ) oscomp="solaris-g++"  ;;
-        * ) echo "platform %{l_target} not supported" 2>&1; exit 1 ;;
+        * ) echo "platform %{l_platform -t} not supported" 2>&1; exit 1 ;;
     esac
 
     #   put in proper search paths for dynamic libraries

+ 5 - 5
radius/radius.spec

@@ -33,7 +33,7 @@ Distribution: OpenPKG [PLUS]
 Group:        Network
 License:      GPL
 Version:      1.1
-Release:      20030909
+Release:      20030918
 
 #   list of sources
 Source0:      ftp://ftp.gnu.org/gnu/radius/radius-%{version}.tar.gz
@@ -42,8 +42,8 @@ Source1:      rc.radius
 #   build information
 Prefix:       %{l_prefix}
 BuildRoot:    %{l_buildroot}
-BuildPreReq:  OpenPKG, openpkg >= 20030718, make, flex, bison, m4, gcc
-PreReq:       OpenPKG, openpkg >= 20030718
+BuildPreReq:  OpenPKG, openpkg >= 20030909, make, flex, bison, m4, gcc
+PreReq:       OpenPKG, openpkg >= 20030909
 AutoReq:      no
 AutoReqProv:  no
 
@@ -56,8 +56,8 @@ AutoReqProv:  no
 
 %prep
     %setup -q
-    case "%{l_target}" in
-        *-solaris2.6)
+    case "%{l_platform -t}" in
+        *-sunos5.6 )
             %{l_shtool} subst \
                 -e 's;socklen_t;int;g' \
                 radiusd/radiusd.c

+ 7 - 7
samhain/samhain.spec

@@ -33,7 +33,7 @@ Distribution: OpenPKG [PLUS]
 Group:        System
 License:      GPL
 Version:      1.7.11
-Release:      20030910
+Release:      20030918
 
 #   package options
 %option       with_fsl  yes
@@ -47,8 +47,8 @@ Patch0:       samhain.patch
 #   build information
 Prefix:       %{l_prefix}
 BuildRoot:    %{l_buildroot}
-BuildPreReq:  OpenPKG, openpkg >= 20030718, gcc
-PreReq:       OpenPKG, openpkg >= 20030718
+BuildPreReq:  OpenPKG, openpkg >= 20030909, gcc
+PreReq:       OpenPKG, openpkg >= 20030909
 %if "%{with_fsl}" == "yes"
 BuildPreReq:  fsl >= 1.2.0
 PreReq:       fsl >= 1.2.0
@@ -71,7 +71,7 @@ AutoReqProv:  no
 %build
     cd samhain-%{version}
     enable_static=""
-    case "%{l_target}" in
+    case "%{l_platform -t}" in
         *-freebsd* | *-linux* ) enable_static="--enable-static" ;;
     esac
     CC="%{l_cc}" \
@@ -104,11 +104,11 @@ AutoReqProv:  no
           DESTDIR=$RPM_BUILD_ROOT
     ) || exit $?
     chmod -R a+r $RPM_BUILD_ROOT%{l_prefix}/man
-    case "%{l_target}" in
+    case "%{l_platform -t}" in
         *-freebsd* ) rc="samhainrc.freebsd" ;;
         *-linux*   ) rc="samhainrc.linux"   ;;
-        *-solaris* ) rc="samhainrc.solaris" ;;
-        * ) echo "ERROR: platform \"%{l_target}\" not supported" 1>&2; exit 1 ;;
+        *-sunos*   ) rc="samhainrc.solaris" ;;
+        * ) echo "ERROR: platform \"%{l_platform -t}\" not supported" 1>&2; exit 1 ;;
     esac
     %{l_shtool} install -c -m 644 \
         samhain-%{version}/$rc \

+ 6 - 6
sasl/sasl.spec

@@ -33,7 +33,7 @@ Distribution: OpenPKG [PLUS]
 Group:        Cryptography
 License:      BSD
 Version:      2.1.15
-Release:      20030909
+Release:      20030918
 
 #   package options
 %option       with_fsl    yes
@@ -52,8 +52,8 @@ Patch0:       sasl.patch
 #   build information
 Prefix:       %{l_prefix}
 BuildRoot:    %{l_buildroot}
-BuildPreReq:  OpenPKG, openpkg >= 20030718, gcc
-PreReq:       OpenPKG, openpkg >= 20030718
+BuildPreReq:  OpenPKG, openpkg >= 20030909, gcc
+PreReq:       OpenPKG, openpkg >= 20030909
 BuildPreReq:  db >= 4.1.24, openssl
 PreReq:       db >= 4.1.24, openssl
 %if "%{with_fsl}" == "yes"
@@ -245,9 +245,9 @@ AutoReqProv:  no
 %if "%{with_pam}" == "yes"
     l_authmech="pam"
 %else
-    case "%{l_target}" in
-        *-linux* | *-solaris* ) l_authmech="shadow"   ;;
-        *                     ) l_authmech="getpwent" ;;
+    case "%{l_platform -t}" in
+        *-linux* | *-sunos* ) l_authmech="shadow"   ;;
+        *                   ) l_authmech="getpwent" ;;
     esac
 %endif
     %{l_shtool} mkdir -f -p -m 755 \

+ 2 - 2
sav/sav.spec

@@ -37,7 +37,7 @@ Distribution: OpenPKG [EVAL]
 Group:        System
 License:      Commercial/Free-Trail
 Version:      %{V_engine}+%{V_ides}
-Release:      20030910
+Release:      20030918
 
 #   list of sources
 Source0:      http://downloads.sophos.com/dp/full/freebsd.elf.tar.Z
@@ -73,7 +73,7 @@ AutoReqProv:  no
         *-freebsd* ) engine="%{SOURCE freebsd.elf.tar.Z}" ;;
         *-linux*   ) engine="%{SOURCE linux.intel.libc6.tar.Z}" ;;
         *-sunos*   ) engine="%{SOURCE solaris.sparc.tar.Z}" ;;
-        * ) echo "Sorry, platform %{l_target} not supported" 1>&2; exit 1 ;;
+        * ) echo "Sorry, platform %{l_platform -t} not supported" 1>&2; exit 1 ;;
     esac
     %{l_gzip} -d -c $engine | %{l_tar} xf -
 

+ 5 - 5
sendmail/sendmail.spec

@@ -54,8 +54,8 @@ Patch0:       sendmail.patch
 #   build information
 Prefix:       %{l_prefix}
 BuildRoot:    %{l_buildroot}
-BuildPreReq:  OpenPKG, openpkg >= 20030718, m4, gcc, make
-PreReq:       OpenPKG, openpkg >= 20030718, m4, make, perl, procmail
+BuildPreReq:  OpenPKG, openpkg >= 20030909, m4, gcc, make
+PreReq:       OpenPKG, openpkg >= 20030909, m4, make, perl, procmail
 BuildPreReq:  db >= 4.1.25
 PreReq:       db >= 4.1.25
 %if "%{with_fsl}" == "yes"
@@ -271,11 +271,11 @@ Conflicts:    exim, postfix, ssmtp
       l_hostname=`%{l_shtool} echo -e %h`
       l_domainname=`%{l_shtool} echo -e %d | cut -c2-`
       l_ostype=bsd4.4
-      case "%{l_target}" in
+      case "%{l_platform -t}" in
           *-freebsd4*)  l_ostype=freebsd4 ;;
           *-freebsd*)   l_ostype=bsd4.4   ;;
-          *-solaris2.8) l_ostype=solaris8 ;;
-          *-solaris*)   l_ostype=solaris2 ;;
+          *-sunos5.8)   l_ostype=solaris8 ;;
+          *-sunos*)     l_ostype=solaris2 ;;
           *-linux*)     l_ostype=linux    ;;
       esac
       %{l_shtool} install -c -m 644 %{l_value -s -a} \

+ 6 - 6
skill/skill.spec

@@ -33,7 +33,7 @@ Distribution: OpenPKG [BASE]
 Group:        System
 License:      BSD
 Version:      4.1.1
-Release:      20030821
+Release:      20030918
 
 #   list of sources
 Source0:      ftp://fast.cs.utah.edu/pub/skill/skill-%{version}.tgz
@@ -41,8 +41,8 @@ Source0:      ftp://fast.cs.utah.edu/pub/skill/skill-%{version}.tgz
 #   build information
 Prefix:       %{l_prefix}
 BuildRoot:    %{l_buildroot}
-BuildPreReq:  OpenPKG, openpkg >= 20020206
-PreReq:       OpenPKG, openpkg >= 20020206
+BuildPreReq:  OpenPKG, openpkg >= 20030909
+PreReq:       OpenPKG, openpkg >= 20030909
 AutoReq:      no
 AutoReqProv:  no
 
@@ -58,11 +58,11 @@ AutoReqProv:  no
     %setup -q
 
 %build
-    case "%{l_target}" in
+    case "%{l_platform -t}" in
         *-freebsd* ) OSTYPE="nbsd-44"; COPTS=""; LIBS="" ;;
         *-linux*   ) OSTYPE="linux-1"; COPTS=-O3; LIBS="-s -N"; ;;
-        *-solaris* ) OSTYPE="sys-5r4"; COPTS="-DSYSV_REGEX"; LIBS="" ;;
-        *          ) echo "Platform %{l_target} still not supported." 1>&2; exit 1 ;;
+        *-sunos*   ) OSTYPE="sys-5r4"; COPTS="-DSYSV_REGEX"; LIBS="" ;;
+        *          ) echo "Platform %{l_platform -t} still not supported." 1>&2; exit 1 ;;
     esac
     %{l_make} %{l_mflags -O} \
         CC="%{l_cc}" OSTYPE="$OSTYPE" COPTS="$COPTS" LIBS="$LIBS"

+ 5 - 5
spegla/spegla.spec

@@ -33,7 +33,7 @@ Distribution: OpenPKG [EVAL]
 Group:        Network
 License:      BSD
 Version:      1.1p4
-Release:      20030719
+Release:      20030918
 
 #   package options
 %option       with_ipv6  no
@@ -49,8 +49,8 @@ Patch1:       http://www.imasy.or.jp/~ume/ipv6/spegla-1.1p4-ipv6-20020129.diff.g
 #   build information
 Prefix:       %{l_prefix}
 BuildRoot:    %{l_buildroot}
-BuildPreReq:  OpenPKG, openpkg >= 20030718
-PreReq:       OpenPKG, openpkg >= 20030718
+BuildPreReq:  OpenPKG, openpkg >= 20030909
+PreReq:       OpenPKG, openpkg >= 20030909
 AutoReq:      no
 AutoReqProv:  no
 
@@ -80,10 +80,10 @@ AutoReqProv:  no
     DEFS=""
 %endif
     LDFLAGS=""
-    case "%{l_target}" in
+    case "%{l_platform -t}" in
        *-freebsd* ) DEFS="$DEFS -DFREEBSD"; LDFLAGS="$LDFLAGS -lcompat" ;;
        *-linux*   ) DEFS="$DEFS -DLINUX" ;;
-       *-solaris* ) DEFS="$DEFS -DSolaris -DMTYPES -DNOCDEFS -DPROGNAME=\\\"spegla\\\"" ;;
+       *-sunos*   ) DEFS="$DEFS -DSolaris -DMTYPES -DNOCDEFS -DPROGNAME=\\\"spegla\\\"" ;;
     esac
     %{l_make} %{l_mflags -O} \
         CC="$CC" CFLAGS="$CFLAGS" DEFS="$DEFS" LDFLAGS="$LDFLAGS"

+ 5 - 5
tomcat-adapter/tomcat-adapter.spec

@@ -33,7 +33,7 @@ Distribution: OpenPKG [EVAL]
 Group:        Web
 License:      Apache Software License 1.1
 Version:      3.2.4
-Release:      20030717
+Release:      20030918
 
 #   list of sources
 Source0:      http://jakarta.apache.org/builds/jakarta-tomcat/release/v%{version}/src/jakarta-tomcat-%{version}-src.tar.gz
@@ -42,8 +42,8 @@ Source1:      tomcat-adapter.conf
 #   build information
 Prefix:       %{l_prefix}
 BuildRoot:    %{l_buildroot}
-BuildPreReq:  OpenPKG, openpkg >= 20030717, JDK, apache, gcc, perl
-PreReq:       OpenPKG, openpkg >= 20030717, JDK
+BuildPreReq:  OpenPKG, openpkg >= 20030909, JDK, apache, gcc, perl
+PreReq:       OpenPKG, openpkg >= 20030909, JDK
 AutoReq:      no
 AutoReqProv:  no
 
@@ -57,10 +57,10 @@ AutoReqProv:  no
 %build
     #   determine platform dependent things
     opts=""; subdir=""
-    case "%{l_target}" in
+    case "%{l_platform -t}" in
         *-freebsd*) opts="-DFREEBSD";          subdir=freebsd ;;
         *-linux*)   opts="-DLINUX";            subdir=linux   ;;
-        *-solaris*) opts="-DSOLARIS -lposix4"; subdir=solaris ;;
+        *-sunos*)   opts="-DSOLARIS -lposix4"; subdir=solaris ;;
     esac
 
     #   create installation tree

+ 6 - 6
tripwire/tripwire.spec

@@ -41,7 +41,7 @@ Distribution: OpenPKG [EVAL]
 Group:        Security
 License:      GPL
 Version:      %{V_openpkg}
-Release:      20030721
+Release:      20030918
 
 #   package options
 %option       with_fsl  yes
@@ -58,8 +58,8 @@ Patch0:       tripwire.patch
 #   build information
 Prefix:       %{l_prefix}
 BuildRoot:    %{l_buildroot}
-BuildPreReq:  OpenPKG, openpkg >= 20030718, make, gcc, perl
-PreReq:       OpenPKG, openpkg >= 20030718
+BuildPreReq:  OpenPKG, openpkg >= 20030909, make, gcc, perl
+PreReq:       OpenPKG, openpkg >= 20030909
 %if "%{with_fsl}" == "yes"
 BuildPreReq:  fsl >= 1.2.0
 PreReq:       fsl >= 1.2.0
@@ -76,12 +76,12 @@ AutoReqProv:  no
     %patch -p0
 
 %build
-    case "%{l_target}" in
+    case "%{l_platform -t}" in
         *-freebsd* ) syspre="i386-unknown-freebsd" ;;
         *-linux*   ) syspre="i686-pc-linux"        ;;
-        *-solaris* ) syspre="sparc-solaris"        ;;
+        *-sunos*   ) syspre="sparc-sunos"          ;;
         *-netbsd*  ) syspre="i386-unknown-openbsd" ;;
-        *) echo "ERROR: Unsupport platform '%{l_target}'"; exit 1 ;;
+        *) echo "ERROR: Unsupport platform '%{l_platform -t}'"; exit 1 ;;
     esac
     cd src
     cp %{SOURCE sparc-solaris.inc} make_include/

+ 8 - 8
tsmc/tsmc.spec

@@ -33,7 +33,7 @@ Distribution: OpenPKG [EVAL]
 Group:        System
 License:      Commercial
 Version:      5.1.6.2
-Release:      20030729
+Release:      20030918
 
 #   list of sources
 Source0:      ftp://service.boulder.ibm.com/storage/tivoli-storage-management/patches/client/v5r1/Linux/Linux86/v516/TIVsm-BA.i386.rpm
@@ -48,8 +48,8 @@ Source5:      rc.tsmc
 #   build information
 Prefix:       %{l_prefix}
 BuildRoot:    %{l_buildroot}
-BuildPreReq:  OpenPKG, openpkg >= 20030718
-PreReq:       OpenPKG, openpkg >= 20030718
+BuildPreReq:  OpenPKG, openpkg >= 20030909
+PreReq:       OpenPKG, openpkg >= 20030909
 AutoReq:      no
 AutoReqProv:  no
 
@@ -64,12 +64,12 @@ AutoReqProv:  no
 
 %build
     #   unpack the corresponding binary only
-    case "%{l_target}" in
+    case "%{l_platform -t}" in
         *-freebsd* | *-linux* )
             %{l_prefix}/bin/rpm2cpio %{SOURCE0} | cpio -idmu
             mv opt/tivoli/tsm/client root
             ;;
-        *-solaris* )
+        *-sunos* )
             %{l_gzip} -d -c %{SOURCE1} | %{l_tar} xf -
             pkgtrans `pwd`/TIVsmCba.pkg `pwd` TIVsmCba
             mv TIVsmCba/reloc root
@@ -100,7 +100,7 @@ AutoReqProv:  no
         fi
         %{l_shtool} install -c -m 755 \
             $file $RPM_BUILD_ROOT%{l_prefix}/libexec/tsmc/
-        case "%{l_target}" in
+        case "%{l_platform -t}" in
             *-freebsd* ) brandelf -t Linux $RPM_BUILD_ROOT%{l_prefix}/libexec/tsmc/$f ;;
         esac
         ln $RPM_BUILD_ROOT%{l_prefix}/libexec/tsmc/dsmexec \
@@ -114,7 +114,7 @@ AutoReqProv:  no
     rm -f $RPM_BUILD_ROOT%{l_prefix}/libexec/tsmc/en_US/wchelp.htl >/dev/null 2>&1 || true
 
     #   install default configuration
-    case "%{l_target}" in
+    case "%{l_platform -t}" in
         *-freebsd* ) l_resutil="1" ;;
         * )          l_resutil="2" ;;
     esac
@@ -149,7 +149,7 @@ AutoReqProv:  no
 
 %post
     if [ $1 -eq 1 ]; then
-        case "%{l_target}" in
+        case "%{l_platform -t}" in
             *-freebsd*)
                 if [ ! -f /compat/linux/bin/sh ]; then
                     ( echo "The Linux ABI base system is not installed under /compat/linux/."

+ 6 - 6
unrar/unrar.spec

@@ -33,7 +33,7 @@ Distribution: OpenPKG [PLUS]
 Group:        Archiver
 License:      freely distributable
 Version:      3.2.3
-Release:      20030805
+Release:      20030918
 
 #   list of sources
 Source0:      http://files10.rarlab.com/rar/unrarsrc-%{version}.tar.gz
@@ -42,8 +42,8 @@ Patch0:       unrar.patch
 #   build information
 Prefix:       %{l_prefix}
 BuildRoot:    %{l_buildroot}
-BuildPreReq:  OpenPKG, openpkg >= 20020206, gcc, make
-PreReq:       OpenPKG, openpkg >= 20020206
+BuildPreReq:  OpenPKG, openpkg >= 20030909, gcc, make
+PreReq:       OpenPKG, openpkg >= 20030909
 AutoReq:      no
 AutoReqProv:  no
 
@@ -59,9 +59,9 @@ AutoReqProv:  no
 %build
     cxxflags="-O2"
     defines="-DUNRAR"
-    case "%{l_target}" in
-        *86*-*   ) defines="$defines -DLITTLE_ENDIAN" ;;
-        sparc*-* ) defines="$defines -DBIG_ENDIAN" ;;
+    case "%{l_platform -p}" in
+        ix86-*   ) defines="$defines -DLITTLE_ENDIAN" ;;
+        sparc*-* ) defines="$defines -DBIG_ENDIAN"    ;;
     esac
     %{l_make} %{l_mflags -O} -f makefile.unix \
         CXX="%{l_prefix}/bin/g++" \

+ 6 - 6
uvscan/uvscan.spec

@@ -38,7 +38,7 @@ Distribution: OpenPKG [EVAL]
 Group:        Filesystem
 License:      Commercial/Free-Trial
 Version:      %{V_engine}+%{V_datfiles}
-Release:      20030911
+Release:      20030918
 
 #   list of sources
 Source0:      ftp://ftp.nai.com/pub/antivirus/datfiles/4.x/dat-%{V_datfiles}.tar
@@ -55,8 +55,8 @@ Source5:      rc.uvscan
 #   build information
 Prefix:       %{l_prefix}
 BuildRoot:    %{l_buildroot}
-BuildPreReq:  OpenPKG, openpkg >= 20030717
-PreReq:       OpenPKG, openpkg >= 20030717, curl, tar
+BuildPreReq:  OpenPKG, openpkg >= 20030909
+PreReq:       OpenPKG, openpkg >= 20030909, curl, tar
 AutoReq:      no
 AutoReqProv:  no
 
@@ -69,11 +69,11 @@ AutoReqProv:  no
     %setup -q -c -T
 
     #   unpack platform-specific Engine
-    case "%{l_target}" in
+    case "%{l_platform -t}" in
         *-freebsd* ) engine="%{SOURCE1}" ;;
         *-linux*   ) engine="%{SOURCE2}" ;;
-        *-solaris* ) engine="%{SOURCE3}" ;;
-        * ) echo "Sorry, platform %{l_target} not supported" 1>&2; exit 1 ;;
+        *-sunos*   ) engine="%{SOURCE3}" ;;
+        * ) echo "Sorry, platform %{l_platform -t} not supported" 1>&2; exit 1 ;;
     esac
     ( mkdir engine; cd engine
       %{l_gzip} -d -c $engine | %{l_tar} xf -

+ 4 - 4
vrrpd/vrrpd.spec

@@ -35,7 +35,7 @@ Distribution: OpenPKG [JUNK]
 Group:        Network
 License:      BSD
 Version:      0.8.7
-Release:      20030731
+Release:      20030918
 
 #   package options
 %option       with_fsl  yes
@@ -49,8 +49,8 @@ Source3:      fsl.vrrpd
 #   build information
 Prefix:       %{l_prefix}
 BuildRoot:    %{l_buildroot}
-BuildPreReq:  OpenPKG, openpkg >= 20030718
-PreReq:       OpenPKG, openpkg >= 20030718
+BuildPreReq:  OpenPKG, openpkg >= 20030909
+PreReq:       OpenPKG, openpkg >= 20030909
 %if "%{with_fsl}" == "yes"
 BuildPreReq:  fsl >= 1.2.0
 PreReq:       fsl >= 1.2.0
@@ -76,7 +76,7 @@ AutoReqProv:  no
     %{l_shtool} subst \
         -e "s;^\\(LDADD=.*\\);\\1 %{l_fsl_ldflags} %{l_fsl_libs};" \
         Makefile
-    case "%{l_target}" in
+    case "%{l_platform -t}" in
         *-freebsd* ) ;;
         * ) echo "Sorry, this package currently supports FreeBSD 4 only" |\
             %{l_rpmtool} msg -t error; exit 1 ;;

+ 5 - 5
xalan-c/xalan-c.spec

@@ -39,7 +39,7 @@ Distribution: OpenPKG [JUNK]
 Group:        Web
 License:      Apache Software License 1.1
 Version:      %{V_opkg}
-Release:      20030803
+Release:      20030918
 
 #   package options
 %option       with_threads  no
@@ -87,7 +87,7 @@ AutoReqProv:  no
       cf="";
       lf="";
 %if "%{with_threads}" == "yes"
-      case "%{l_target}" in
+      case "%{l_platform -t}" in
         *-freebsd*)     pf=LINUX
                         cf="-pthread"
                         lf=""
@@ -100,7 +100,7 @@ AutoReqProv:  no
                         cf="-pthread"
                         lf=""
                         ;;
-        *-solaris*)     pf=LINUX
+        *-sunos*)       pf=LINUX
                         cf=""
                         lf="-lpthread -lsocket -lnsl"
                         ;;
@@ -110,7 +110,7 @@ AutoReqProv:  no
                         ;;
       esac ;
 %else
-      case "%{l_target}" in
+      case "%{l_platform -t}" in
         *-freebsd*)     pf=LINUX
                         cf=""
                         lf=""
@@ -123,7 +123,7 @@ AutoReqProv:  no
                         cf=""
                         lf=""
                         ;;
-        *-solaris*)     pf=LINUX
+        *-sunos*)       pf=LINUX
                         cf=""
                         lf="-lsocket -lnsl"
                         ;;

+ 7 - 7
xerces-c/xerces-c.spec

@@ -37,7 +37,7 @@ Distribution: OpenPKG [EVAL]
 Group:        Web
 License:      Apache Software License 1.1
 Version:      %{V_opkg}
-Release:      20030723
+Release:      20030918
 
 #   package options
 %option       with_pth           no
@@ -58,8 +58,8 @@ Patch1:       xerces-c.patch.pth
 #   build information
 Prefix:       %{l_prefix}
 BuildRoot:    %{l_buildroot}
-BuildPreReq:  OpenPKG, openpkg >= 20030103, gcc, make, autoconf
-PreReq:       OpenPKG, openpkg >= 20030103
+BuildPreReq:  OpenPKG, openpkg >= 20030909, gcc, make, autoconf
+PreReq:       OpenPKG, openpkg >= 20030909
 %if "%{with_pth}" == "yes"
 BuildPreReq:  pth
 PreReq:       pth
@@ -100,10 +100,10 @@ AutoReqProv:  no
 %else
       bsdpt=pthread
 %endif
-      case "%{l_target}" in
+      case "%{l_platform -t}" in
           *-freebsd*)    os=freebsd; pt=$bsdpt  ;;
           *-linux*)      os=linux;   pt=pthread ;;
-          *-solaris*)    os=solaris; pt=pthread ;;
+          *-sunos*)      os=solaris; pt=pthread ;;
           *-irix*)       os=irix;    pt=sproc   ;;
           *-hpux-10.*)   os=hp-10;   pt=none    ;;
           *-hpux-11.*)   os=hp-11;   pt=none    ;;
@@ -112,10 +112,10 @@ AutoReqProv:  no
 %else
       os="freebsd"
       pt="none"
-      case "%{l_target}" in
+      case "%{l_platform -t}" in
           *-freebsd*)    os=freebsd ;;
           *-linux*)      os=linux   ;;
-          *-solaris*)    os=solaris ;;
+          *-sunos*)      os=solaris ;;
           *-irix*)       os=irix    ;;
           *-hpux-10.*)   os=hp-10   ;;
           *-hpux-11.*)   os=hp-11   ;;

+ 5 - 5
xmame/xmame.spec

@@ -33,7 +33,7 @@ Distribution: OpenPKG [EVAL]
 Group:        Games
 License:      GPL
 Version:      0.74.1
-Release:      20030916
+Release:      20030918
 
 #   list of sources
 Source0:      http://x.mame.net/download/xmame-%{version}.tar.bz2
@@ -48,8 +48,8 @@ Source7:      xmamerc
 #   build information
 Prefix:       %{l_prefix}
 BuildRoot:    %{l_buildroot}
-BuildPreReq:  OpenPKG, openpkg >= 20030708, X11, gcc, make, infozip
-PreReq:       OpenPKG, openpkg >= 20030708, X11
+BuildPreReq:  OpenPKG, openpkg >= 20030909, X11, gcc, make, infozip
+PreReq:       OpenPKG, openpkg >= 20030909, X11
 BuildPreReq:  zlib
 PreReq:       zlib
 AutoReq:      no
@@ -70,10 +70,10 @@ AutoReqProv:  no
     #   configure and build package
     os=""
     cpu=""
-    case "%{l_target}" in
+    case "%{l_platform -t}" in
         *-freebsd* ) os="freebsd"; cpu="i386" ;;
         *-linux*   ) os="linux";   cpu="i386" ;;
-        *-solaris* ) os="solaris"; cpu="risc" ;;
+        *-sunos*   ) os="solaris"; cpu="risc" ;;
     esac
     x11_inc=`%{l_prefix}/etc/rc --query x11_incdir`
     x11_lib=`%{l_prefix}/etc/rc --query x11_libdir`

+ 7 - 7
xterm/xterm.spec

@@ -39,7 +39,7 @@ Distribution: OpenPKG [PLUS]
 Group:        XWindow
 License:      X11
 Version:      %{V_whole}
-Release:      20030908
+Release:      20030918
 
 #   list of sources
 Source0:      ftp://invisible-island.net/xterm/xterm-%{V_xterm}.tgz
@@ -49,8 +49,8 @@ Source2:      http://www.thrysoee.dk/xtermcontrol/xtermcontrol-%{V_xtermcontrol}
 #   build information
 Prefix:       %{l_prefix}
 BuildRoot:    %{l_buildroot}
-BuildPreReq:  OpenPKG, openpkg >= 20030717, X11
-PreReq:       OpenPKG, openpkg >= 20030717, X11
+BuildPreReq:  OpenPKG, openpkg >= 20030909, X11
+PreReq:       OpenPKG, openpkg >= 20030909, X11
 AutoReq:      no
 AutoReqProv:  no
 
@@ -75,10 +75,10 @@ AutoReqProv:  no
 
 %build
     ( cd xterm-%{V_xterm}
-      case "%{l_target}" in
-          *-solaris* )
-          echo "ac_cv_func_XkbBell=no" >config.cache
-          ;;
+      case "%{l_platform -t}" in
+          *-sunos* )
+              echo "ac_cv_func_XkbBell=no" >config.cache
+              ;;
       esac
       CC="%{l_cc}" \
       CFLAGS="%{l_cflags -O}" \